Skip to main content
`Ctrl`+`K`

# SVDSetTolerances

Sets the tolerance and maximum iteration count used by the `SVD` convergence tests.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetTolerances(SVD svd,PetscReal tol,PetscInt maxits)

Logically Collective

## Input Parameters

- svd - the singular value solver context

- tol - the convergence tolerance

- maxits - maximum number of iterations to use

## Options Database Keys

- -svd_tol <tol> - sets the convergence tolerance

- -svd_max_it <maxits> - sets the maximum number of iterations allowed

## Note

Use `PETSC_CURRENT` to retain the current value of any of the parameters. Use `PETSC_DETERMINE` for either argument to assign a default value computed internally (may be different in each solver). For `maxits` use `PETSC_UNLIMITED` to indicate there is no upper bound on this value.

## See Also

SVD: Singular Value Decomposition, `SVDGetTolerances()`

## Level

intermediate

## Location

src/svd/interface/svdopts.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages